# Architecture Details

This is a living document describing the architectural decisions made as part of the development of this project, along with any necessary context around the decisions made.

## Base Architectural Decisions

At the inception of the project, we decided to use Rust as our language of choice and Warp as our web framework. This decision was based on team skills, future capabilities, and current best practices for building web applications in Rust.

We also decided to start with sqlite as our datastore for simplicity and minimal resource usage. We fully anticipate supporting alternate datastores in future versions.
